<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<!-- 
@author 		fredy.wilches
@modifiedBy 	fabio.navarrete
@version 		2.0
@description	Formulario que permite realizar el ingreso de los valores asociados al solicitante
@cu 			CU-CO-R-01
@param			managedBeanParam: Managed bean que se está usando para obtener los datos pertinentes.
                Funciones necesarias:
@param			guardarSolicitanteSolicitud: Método encargado de almacenar la variable que contiene
                los datos vinculados al solicitante de la solicitud.
@param			guardarSolicitanteTramite: Método encargado de almacenar la variable que contiene
                los datos vinculados al solicitante del trámite.
@param			solicitanteParam: variable que contiene los datos del Solicitante.
@param			isTramiteParam: Indica si se está manejando un trámite, si es false se asume que 
                se está manejando el solicitante de una Solicitud
@param			updateGuardarParam: parametro de actualiza la tabla de solicitantes desde la que sea
                consumido este formulario
@param			idParam: identificador de id para los ids dinamicos del formulario
@param			selectWVParam: identificador del WV de la pantalla modal para cerrala.
@param			banderaBusquedaRealizadaParam: bandera que determina la visualización de los componentes
                de datos del solicitante solo si ya se realizo la busqueda del solicitante	
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets" id="#{idParam}pg1"
             xmlns:p="http://primefaces.org/ui" columns="1" width="100%">

    <p:messages id="#{idParam}solMsgs" showDetail="false" />

    <h:form id="#{idParam}datosSolicitanteForm"
            onkeypress="return event.keyCode != 13;">

        <p:panel header="Datos del solicitante">
            <ui:include src="datosSolicitante.xhtml">
                <ui:param name="solicitanteParam" value="#{solicitanteParam}" />
                <ui:param name="managedBeanParam" value="#{gestionarSolicitudes}" />
                <ui:param name="isSolicitudAvaluoComercialParam" value="false" />
                <ui:param name="updateDatosIdentificacion"
                          value=":#{idParam}solMsgs" />
                <ui:param name="datosSolicitanteId" value="#{idParam}" />
                <ui:param name="banderaBusquedaRealizadaParam"
                          value="#{banderaBusquedaRealizadaParam}" />
                <ui:param name="containerCUpdateParam"
                          value="#{idParam}datosSolicitanteForm" />
                <ui:param name="selectedSolicitudParam"
                          value="#{selectedSolicitudParam}" />
                <ui:param name="estaEnRadicacion" value="true" />
            </ui:include>
        </p:panel>

        <p:spacer width="0" height="10" />

        <p:outputPanel layout="block" style="text-align:left">

            <p:spacer height="13" />
            <p:commandButton value="Guardar y adjuntar"
                             icon="ui-icon ui-icon-disk" id="botonGuardar"
                             action="#{managedBeanParam.guardarSolicitante}"
                             update="#{updateGuardarParam}, :#{idParam}pg1, :nuevoTramiteSolForm:btnsFooterPanelDatosDelTramite" onstart="statusDialog2.show();"
                             rendered="#{banderaBusquedaRealizadaParam}" 
                             oncomplete="handleCompleteSIC(xhr, status, args, #{selectWVParam}, false);
                             statusDialog2.hide();">
            </p:commandButton>
        </p:outputPanel>
    </h:form>

</h:panelGrid>